import Vue from "vue";

import native from "./native";
import web from "./web";

// 骨架屏是打包注入, 此时不能访问 window: 移动端优先
const compile = process.env.VUE_APP_SKELETON === "native";
export default new Vue({
  // 编译器不识别组件对象, 因此使用环境变量
  render: h => h(compile ? native : web)
});
